{% load static %}
<!DOCTYPE html>
<html>
    <head>
        <title>Meme Galore</title>
        <link rel="stylesheet" href="{% static "blog-posts.css" %}">
    <body>
        <header>
            <div>Meme Reviews</div>
            <nav>
                <a href="{% url "create_post" %}">Create Meme Review</a>
            </nav>
        </header>
        <main>
        {% for post in posts %}
            <div class="main-page-blog-post">
                <img class="post-cover"
                src="{{ post.favorite_meme_url }}"
                >
                <div class="post-rating">{{ post.rating }} / 5 Stars</div>
                <p>
                    {{ post.create_meme_caption }} 
                </p>
            </div>
        {% endfor %}
        </main>
        <footer>
            <div>Copyright 2022 by Tristen Martinez</div>
            <p>
                This site is for anyone who wants to rant and leave a post. Be respectful!
            </p>
        </footer>
    </body>
</html>